io.undertow.server.handlers.proxy

## Class ProxyConnection

- java.lang.Object
- - io.undertow.server.handlers.proxy.ProxyConnection

    public class ProxyConnection
    extends Object

A connection to a backend proxy.

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`ProxyConnection(ClientConnection connection, String targetPath)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ClientConnection` `getConnection()`
`String` `getTargetPath()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProxyConnection

    public ProxyConnection(ClientConnection connection,
                           String targetPath)

### Method Detail

#### getConnection

    public ClientConnection getConnection()

#### getTargetPath

    public String getTargetPath()